| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiSvc::GaudiSvcConf::FastContainersSvc Class Reference

List of all members.

## Detailed Description

Definition at line 1226 of file GaudiSvcConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiSvc::GaudiSvcConf::FastContainersSvc::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 1248 of file GaudiSvcConf.py.

    01248                                                                :
    01249       super(FastContainersSvc, self).__init__(name)
    01250       for n,v in kwargs.items():
    01251          setattr(self, n, v)
      def getDlls( self ):

def GaudiSvc::GaudiSvcConf::FastContainersSvc::getDlls | ( |  | self | ) |

Definition at line 1252 of file GaudiSvcConf.py.

    01252                      :
    01253       return 'GaudiSvc'
      def getType( self ):

def GaudiSvc::GaudiSvcConf::FastContainersSvc::getType | ( |  | self | ) |

Definition at line 1254 of file GaudiSvcConf.py.

    01254                      :
    01255       return 'FastContainersSvc'
      pass # class FastContainersSvc

## Member Data Documentation

dictionary GaudiSvc::GaudiSvcConf::FastContainersSvc::__slots__`[static, private]`

Initial value:

    {
        'OutputLevel' : 0, # int
        'AuditServices' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'AuditFinalize' : False, # bool
        'AuditReInitialize' : False, # bool
        'AuditReStart' : False, # bool
        'RootCLID' : 110, # int
        'RootName' : '/fc', # str
        'ForceLeaves' : False, # bool
        'InhibitPathes' : [  ], # list
        'DataFaultName' : 'DataFault', # str
        'DataAccessName' : 'DataAccess', # str
        'EnableFaultHandler' : False, # bool
        'EnableAccessHandler' : False, # bool
        'RootDirName' : 'fc', # str
      }

Definition at line 1227 of file GaudiSvcConf.py.

dictionary GaudiSvc::GaudiSvcConf::FastContainersSvc::_propertyDocDct`[static, private]`

Initial value:

    {
      }

Definition at line 1246 of file GaudiSvcConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiSvc/genConf/GaudiSvc/GaudiSvcConf.py